Subject: [KEYPROV] FW: [IANA #381285] RFC-to-be draft-ietf-keyprov-pskc-09.txt

From: "Philip Hoyer" <[email-masked]>
Date: Wed, 1 Sep 2010 18:22:04 +0200

All,
Could you check the below for one thing.

I vaguely remember that ages ago we discussed the fact that IANA should
create a registry for algorithms URIs.

The below does not do that it defines a registry for PSKC profiles only.

Am I missing something here or did we discuss that we would drop the
requirement for creation for a algorithm registry?

Philip

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Thursday, August 19, 2010 6:09 PM
Cc: Philip Hoyer; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: [IANA #381285] RFC-to-be draft-ietf-keyprov-pskc-09.txt 

Dear Authors:

ATTENTION: A RESPONSE TO THIS MESSAGE IS NEEDED 

We have completed the IANA Actions for RFC-to-be
draft-ietf-keyprov-pskc-09.txt

ACTION 1:

IANA has registered the following application media type:

pskc+xml  [RFC-ietf-keyprov-pskc-09]

Please see
http://www.iana.org/assignments/media-types/application/

ACTION 2:

IANA has registered the following in the XML NS registry:

keyprov:pskc  	
urn:ietf:params:xml:ns:keyprov:pskc  	
http://www.iana.org/assignments/xml-registry/ns/keyprov/pskc.txt 	
[RFC-ietf-keyprov-pskc-09]

Please see
http://www.iana.org/assignments/xml-registry/ns.html

ACTION 3:

IANA has registered the following in the XML schema registry:

keyprov:pskc  	
urn:ietf:params:xml:ns:keyprov:pskc  	
http://www.iana.org/assignments/xml-registry/schema/keyprov/pskc.xsd 	
[RFC-ietf-keyprov-pskc-09]

Please see
http://www.iana.org/assignments/xml-registry/schema.html

ACTION 4:

IANA has created the following registries at
http://www.iana.org/assignments/pskc-parameters

PSKC Algorithm Profiles
Reference
    [RFC-ietf-keyprov-pskc-09]
Registration Procedures
    Specification Required

Common Name: HOTP	
Class: OTP	
URI: urn:ietf:params:xml:ns:keyprov:pskc:hotp	
Identifier Definition: [RFC4226]	
Algorithm Definition: [RFC-ietf-keyprov-pskc-09]	
Registrant Contact: IESG	
Deprecated: FALSE	         
PSKC Profiling: The <KeyPackage> element MUST be present and the
<ResponseFormat> element, which is a child element of the
<AlgorithmParameters> element, MUST be used to indicate the OTP
length and the value format.           
The <Counter> element (see Section 4.1) MUST be provided as
meta-data for the key.
The following additional constraints apply:             
+  The value of the <Secret> element MUST contain key material
with a length of at least 16 octets (128 bits), if it is present.
+  The <ResponseFormat> element MUST have the 'Format'
attribute set to "DECIMAL", and the 'Length' attribute MUST
indicate a length value between 6 and 9 (inclusive).
+  The <PINPolicy> element MAY be present but the
'PINUsageMode' attribute cannot be set to "Algorithmic".               
An example can be found in Figure 3.
Reference: [RFC-ietf-keyprov-pskc-09]

Common Name: PIN	
Class: Symmetric static credential comparison	
URI: urn:ietf:params:xml:ns:keyprov:pskc:pin	
Identifier Definition: Section 5.1	
Algorithm Definition: [RFC-ietf-keyprov-pskc-09]	
Registrant Contact: IESG	
Deprecated: FALSE	         
PSKC Profiling: The <Usage> element MAY be present but no attribute of
the <Usage> element is required.  The <ResponseFormat> element MAY
be used to indicate the PIN value format.
The <Secret> element (see Section 4.1) MUST be provided.             
See the example in Figure 5.
Reference: [RFC-ietf-keyprov-pskc-09]

PSKC Versions
Reference
    [RFC-ietf-keyprov-pskc-09]
Registration Procedures
    Standards Action

PSKC Version 	Reference 
1.0	[RFC-ietf-keyprov-pskc-09]

Key Usage Registry
Reference
    [RFC-ietf-keyprov-pskc-09]
Registration Procedures
    Expert Review

Key Usage 	Specification 	Deprecated 	Reference 
OTP	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
CR	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Encrypt	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Integrity Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Verify	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Unlock	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Decrypt	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
KeyWrap	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Unwrap	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Derive	Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]
Generate Section 5	FALSE	[RFC-ietf-keyprov-pskc-09]

Please let us know whether the above IANA Actions look OK. As 
soon as we receive your confirmation, we'll notify the RFC Editor 
that this document's IANA Actions are complete. (If this document 
has a team of authors, one reply on behalf of everyone will suffice.)

Thanks,

Amanda Baber
IANA

---

From: <[email-masked]>
Date: Wed, 1 Sep 2010 12:27:26 -0400

The URI's are addressed here:
http://datatracker.ietf.org/doc/draft-hoyer-keyprov-pskc-algorithm-profi
les/

Is this what you are looking for?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Philip Hoyer
Sent: Wednesday, September 01, 2010 12:22 PM
To: Phillip Hallam-Baker; Tschofenig, Hannes (NSN - FI/Espoo); Sean
Turner
Cc: [email-masked]
Subject: [KEYPROV] FW: [IANA #381285]
RFC-to-bedraft-ietf-keyprov-pskc-09.txt

All,

Philip

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Thursday, August 19, 2010 6:09 PM
Cc: Philip Hoyer; [email-masked]; [email-masked];

Dear Authors:

ACTION 1:

Please see

ACTION 2:

keyprov:pskc  	

Please see

ACTION 3:

keyprov:pskc  	

Please see

ACTION 4:

PSKC Algorithm Profiles
Reference

Common Name: HOTP	
Class: OTP	

Common Name: PIN	

PSKC Versions
Reference

PSKC Version 	Reference 

Key Usage Registry
Reference

Thanks,

Amanda Baber
IANA

_______________________________________________
KEYPROV mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/keyprov

---

From: "Philip Hoyer" <[email-masked]>
Date: Wed, 1 Sep 2010 22:49:09 +0200

No again this has only the additional profiles.

I remember we discussed a registry for algorithm URIs that is SEPARATE
from PSKC profile for keys transported for that algorithm.

And I do not remember us dropping that idea.

Philip

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, September 01, 2010 9:27 AM
To: Philip Hoyer; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: RE: [KEYPROV] FW: [IANA #381285]
RFC-to-bedraft-ietf-keyprov-pskc-09.txt

-----Original Message-----

All,

Philip

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Thursday, August 19, 2010 6:09 PM
Cc: Philip Hoyer; [email-masked]; [email-masked];

Dear Authors:

ACTION 1:

Please see

ACTION 2:

keyprov:pskc  	

Please see

ACTION 3:

keyprov:pskc  	

Please see

ACTION 4:

PSKC Algorithm Profiles
Reference

Common Name: HOTP	
Class: OTP	

Common Name: PIN	

PSKC Versions
Reference

PSKC Version 	Reference 

Key Usage Registry
Reference

Thanks,

Amanda Baber
IANA

---

From: <[email-masked]>
Date: Wed, 1 Sep 2010 16:50:11 -0400

Agreed.  But within each profile defined in the
draft-hoyer-keyprov-pskc-algorithm-profi
Les I-D there is an Algorithm URI.

Originally, this I-D was to be an algorithm registry, but that got
changed to a profile registry - not sure why.

We originally discussed Eastlake's ID that contained Alg ID's, e.g.,
http://datatracker.ietf.org/doc/draft-eastlake-additional-xmlsec-uris/

We even included him in the discussion (Phillip might remember).

Then, we decided to create our own draft...

That's about all I can remember at the moment...

Andrea

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Philip Hoyer
Sent: Wednesday, September 01, 2010 4:49 PM
To: Doherty, Andrea; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: Re: [KEYPROV] FW: [IANA
#381285]RFC-to-bedraft-ietf-keyprov-pskc-09.txt

Philip

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, September 01, 2010 9:27 AM
To: Philip Hoyer; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]

-----Original Message-----

All,

Philip

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Thursday, August 19, 2010 6:09 PM
Cc: Philip Hoyer; [email-masked]; [email-masked];

Dear Authors:

ACTION 1:

Please see

ACTION 2:

keyprov:pskc  	

Please see

ACTION 3:

keyprov:pskc  	

Please see

ACTION 4:

PSKC Algorithm Profiles
Reference

Common Name: HOTP	
Class: OTP	

Common Name: PIN	

PSKC Versions
Reference

PSKC Version 	Reference 

Key Usage Registry
Reference

Thanks,

Amanda Baber
IANA